<?php

$_SESSION['agrupaciones']=array();

foreach($_SESSION['palets'] as $item) { //Primera iteracion para sacar los de primer nivel
	
	if(!$item['PaletPadre']) {
		$_SESSION['agrupaciones'][ $item['CodigoPalet'] ]=$item;
		$_SESSION['agrupaciones'][ $item['CodigoPalet'] ]['CantidadCajasPalet']=0;
	}
	
}

//foreach($_SESSION['agrupaciones'] as $item) { print_r($item); echo '<hr>'; }

foreach($_SESSION['palets'] as $item) {
	if($item['PaletPadre']) {
		foreach($_SESSION['agrupaciones'] as $item2) { //para cada palet de primer nivel, buscamos su padre
			if($item2['CodigoPalet']==$item['PaletPadre']) {
				
				//$_SESSION['agrupaciones'][ $item2['CodigoPalet'] ]['CajasPaletOrden'][]['NumeroCaja']=$item['CodigoPalet'];
				
				$cajaHija=array('NumeroCaja'=>$item['CodigoPalet'],'EsCajaRoturas'=>$item['EsCajaRoturas']);
				$_SESSION['agrupaciones'][ $item2['CodigoPalet'] ]['CajasPaletOrden'][]=$cajaHija;
				
				$_SESSION['agrupaciones'][ $item2['CodigoPalet'] ]['CantidadCajasPalet']++;
				
				break;
			}
		}
		$_SESSION['agrupaciones'][$item['PaletPadre']]['CajasTipos'][$item['CodigoPalet']]=$item['TipoPalet'];
	}
}

$cantidadAgrupaciones=0;

$cantidadCajasSueltas=0;
$cantidadCajasEnPalets=0;
$cantidadPalets=0;

$cantidadCajasRotura=0;
$cantidadCarros=0;


foreach($_SESSION['agrupaciones'] as $item) {
	if($item['EsCaja']=='S'){
		if($item['EsCajaRoturas']=='S') $cantidadCajasRotura++;
		else $cantidadCajasSueltas++;
	} else {
		if($item['EsCarro']=='S') $cantidadCarros++;
		else {
			$cantidadPalets++;
			foreach($item['CajasPaletOrden'] as $item2) $cantidadCajasEnPalets++;
		}
	}
}

$cantidadAgrupaciones=$cantidadCajasSueltas+$cantidadPalets;

$textoAgrupaciones='';
if($cantidadPalets>0) $textoAgrupaciones.=$cantidadPalets.' Palet';
if($cantidadPalets>1) $textoAgrupaciones.='s';
if($cantidadCajasEnPalets>0) {
	$textoAgrupaciones.=' (con '.$cantidadCajasEnPalets.' caja';
	if($cantidadCajasEnPalets>1) $textoAgrupaciones.='s';
	$textoAgrupaciones.=')';
}
if($cantidadCajasSueltas>0) {
	if($cantidadPalets>0) $textoAgrupaciones.=' + ';
	if($cantidadCajasSueltas>0) $textoAgrupaciones.=$cantidadCajasSueltas.' Caja';
	if($cantidadCajasSueltas>1) $textoAgrupaciones.='s';
}

if($_GET['traza']=='si') {
	echo '<p>RESUMEN DEL CONSTRUCTOR</p>';
	echo '<p>cantidadAgrupaciones: '.$cantidadAgrupaciones.'</p>';
	echo '<p>cantidadPalets: '.$cantidadPalets.'</p>';
	echo '<p>cantidadCajasSueltas: '.$cantidadCajasSueltas.'</p>';
	echo '<p>cantidadCajasRotura: '.$cantidadCajasRotura.'</p>';
	echo '<p>cantidadCarros: '.$cantidadCarros.'</p>';
}



?>